### File

`packages/ecl/components/ecl-form-label/ecl-form-label.component.ts`

### Description

The `EclFormLabelComponent` is used to render a form label with optional or required state.

It supports ECL design system styling and applies relevant classes or attributes based on the input flags.

### Extends

`ECLBaseDirective`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
selector | `[eclFormLabel]`
imports | `TranslateModule`
templateUrl | `./ecl-form-label.component.html`

### Index

###### Properties
hasClass
###### Methods
getCssClasses
###### Inputs
isOptional isRequired class e2eAttr tabindex
###### HostBindings
class.ecl-form-label

### Inputs

isOptional
Type : `boolean`
Default value : `false`
Marks the form label as optional. When `true`, the label can display additional styling or indicators for optional fields. Defaults to `false`.

isRequired
Type : `boolean`
Default value : `false`
Marks the form label as required. When `true`, the label can display styling or indicators for required fields. Defaults to `false`.

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class.ecl-form-label
Type : `boolean`
Default value : `true`
Applies the base ECL class for form labels to the host element.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

hasClass
Default value : `true`
Decorators : `@HostBinding('class.ecl-form-label')`
Applies the base ECL class for form labels to the host element.

# results matching ""

# No results matching ""